from rocolib.api.components.Component import Component
from rocolib.api.Function import Function

c = Component()

c.addSubcomponent("drive", "MountedServo", inherit=True, prefix=None)
c.addSubcomponent("tire", "Tire", inherit="radius tire_thickness".split(), prefix=None)


c.inheritAllInterfaces("drive", prefix=None)
c.addConnection(("drive", "mount"),
                ("tire", "face"))

c.toLibrary("Wheel")
